%define beta rc7

Summary: A DNS (Domain Name System) server.
Name: bind
Version: 9.1.1
Release: 1mdk
Copyright: distributable
Group: System/Servers
Source0: ftp://ftp.isc.org/isc/%{name}9/%{version}/%{name}-%{version}.tar.bz2
Source1: bind-manpages.tar.bz2
Source2: named.init
Source3: named.logrotate
Patch1:  bind-9.1.0b1-varrun.patch.bz2
Patch2: bind-9.1.0b1-reverse.patch
Patch3: bind-9.1.1rc2-glibc.patch
Url: http://www.isc.org/products/BIND/
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
Requires: bind-utils >= %{version}

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(domain Name System) protocols. BIND includes a DNS server (named), 
which resolves host names to IP addresses, and a resolver library 
(routines for applications to use when interfacing with DNS).  A DNS 
server allows clients to name resources or objects and share the 
information with other network machines.  The named DNS server can be 
used on workstations as a caching name server, but is generally only 
needed on one machine for an entire network.  Note that the 
configuration files for making BIND act as a simple caching nameserver 
are included in the caching-nameserver package.  

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

Many BIND 8 features previously unimplemented in BIND 9, including domain-specific forwarding, the $GENERATE master file directive, and
the "blackhole", "dialup", and "sortlist" options Forwarding of dynamic update requests; this is enabled by the "allow-update-forwarding" option 
A new, simplified database interface and a number of sample drivers based on it; see doc/dev/sdb for details 
Support for building single-threaded servers for environments that do not supply POSIX threads 
New configuration options: "min-refresh-time", "max-refresh-time", "min-retry-time", "max-retry-time", "additional-from-auth",
"additional-from-cache", "notify explicit" 
Faster lookups, particularly in large zones. 

%package utils
Summary: Utilities for querying DNS name servers.
Group: Networking/Other

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network 
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/C
Requires: bind >= %{version}

%description devel
The bind-devel package contains all the include files and the 
library required for DNS (Domain Name Service) development for 
BIND versions 9.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%prep
%setup -q  -n %{name}-%{version}
%patch1 -p1 -b .varrun
%patch2 -p1 -b .reverse
%patch3 -p1

%build
%configure --with-libtool \
	--localstatedir=/var \
	--enable-threads \
	--enable-ipv6 \
	--with-openssl=%{_includedir}/openssl

# override CFLAGS for better security.  Ask Jay...
make "CFLAGS=-O2 -pipe"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/{rc.d/init.d,logrotate.d}
mkdir -p ${RPM_BUILD_ROOT}/usr/{bin,lib,sbin,include}
mkdir -p ${RPM_BUILD_ROOT}/var/named
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p ${RPM_BUILD_ROOT}/var/run/named 

make DESTDIR=$RPM_BUILD_ROOT install
install -c -m 644 bin/rndc/rndc.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -c -m 755 contrib/named-bootconf/named-bootconf.sh $RPM_BUILD_ROOT/%{_sbindir}/named-bootconf
install -c -m 755 %SOURCE2 $RPM_BUILD_ROOT/%{_initrddir}/named
install -c -m 644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/named
install -c -m 644 doc/man/bin/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -c -m 644 doc/man/bin/*.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -c -m 644 doc/man/bin/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
cd $RPM_BUILD_ROOT%{_mandir}
tar xjf %{SOURCE1}

%pre
/usr/sbin/useradd -c "named" -u 25 \
	-s /bin/false -r -d /var/named named 2>/dev/null || :

%post
%_post_service named
if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/sbin/named-bootconf ]; then
    cat /etc/named.boot | /usr/sbin/named-bootconf > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%preun
if [ $1 = 0 ]; then
   /usr/sbin/userdel named 2>/dev/null || :
   /usr/sbin/groupdel named 2>/dev/null || :
fi
%_preun_service named

%triggerpostun -- bind < 8.2.2_P5-15
/sbin/chkconfig --add named

%post utils
/sbin/ldconfig

%postun utils
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGES README
%doc doc/arm doc/draft doc/rfc doc/misc
%config(noreplace) /etc/logrotate.d/named
%config(noreplace) /etc/rc.d/init.d/named
%config(noreplace) /etc/rndc.conf

/usr/sbin/*

%{_mandir}/man5/rndc.conf.5*
%{_mandir}/man8/rndc.8*
%{_mandir}/man8/named.8*
%{_mandir}/man8/lwresd.8*

%attr(-,named,named) %dir /var/named
%attr(-,named,named) %dir /var/run/named

%files utils
%defattr(-,root,root)
/usr/bin/*
/usr/lib/*.so.*
%{_mandir}/man1/host.1*
%{_mandir}/man1/dig.1*
%{_mandir}/man8/nsupdate.8*
%{_mandir}/man5/resolver.5*
%{_mandir}/man8/nslookup.8*

%files devel
%defattr(-,root,root)
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/*.a

%changelog
* Thu Mar 29 2001 Florin Grad <florin@mandrkaesoft.com> 9.1.1-1mdk
- 9.1.1

* Wed Mar 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 9.1.1-0.rc7.2mdk
- use post_service and preun_service scripts

* Tue Mar 27 2001 Florin Grad <florin@mandrkaesoft.com> 9.1.1-0.rc7.1mdk
- rc7

* Thu Mar 01 2001 Geoffrey Lee <snailtalk@mandrkaesoft.com> 9.1.1-0.rc3.1mdk
- New and shiny 9.1.1rc3.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 9.1.1-0.rc2.2mdk
- Fix build on glibc.
- Explicitly enable IPv6.
- Override CFLAGS with conservative ones for better security.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.1-0.rc2.1mdk
- Put 9.1.1rc2 out for everyone to use.
- Use system openssl libraries.
- Enable threading.
- Use -j, not -I when using the bzip2 filter through tar.

* Mon Jan 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-3mdk
- fix the nslookup issue.
- merge in the other redhat patch (.reverse).

* Sun Jan 21 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 9.1.0-2mdk
- fix /var/run issue (thanks redhat)

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-1mdk
- really 9.1.0.

* Sat Jan 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 9.1.0-0.rc1.1mdk
- make a new and shiny binary from a new and shiny source.

* Tue Jan 09 2001 Geoff <snailtalk@mandrakesoft.com> 9.1.0-0.b3.1mdk
- Change how the release is handled to avoid potential Serial: problem.
  Well, you might still have to use --force now, but better early than
  late.
- new and shiny source.

* Wed Jan 03 2001 Florin Grad <florin@mandrakesoft.com> 9.1.0b2-1mdk
- 9.1.0b2

* Wed Dec 06 2000 Florin Grad <florin@mandrakesoft.com> 9.1.0b1-1mdk
- 9.1.0b1 

* Tue Nov 07 2000 Florin Grad <florin@mandrakesoft.com> 9.0.1rc2-1mdk
- 9.0.1rc2

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 9.0.1rc1-1mdk
- 9.0.1rc1 wich contains alot of fixes for 9.0.0
- fix the spec file
- dig manpage is provided now by the bind package (removed from the bind-manpages)

* Thu Nov 02 2000 Florin Grad <florin@mandrakesoft.com> 9.0.0-1mdk
- Mandrake adaptations

* Tue Oct 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add some missing man pages (taken from bind8) (Bug #18794)

* Sun Sep 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 9.0.0 final

